Page MenuHomePhabricator

SpamBlacklist integration for JADE
Closed, ResolvedPublic

Description

JADE will need to support the basic antivandalism extensions before we can deploy.

Related Objects

Event Timeline

awight created this task.Oct 4 2018, 7:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 4 2018, 7:38 PM
Harej triaged this task as High priority.Oct 4 2018, 7:39 PM
Harej moved this task from Inbox to Feature Requests on the Jade board.
awight raised the priority of this task from High to Needs Triage.Oct 4 2018, 7:40 PM
awight updated the task description. (Show Details)
awight triaged this task as High priority.Oct 4 2018, 7:44 PM
Legoktm added a subscriber: Legoktm.Oct 4 2018, 7:55 PM

As long as JADE is registering external links with ParserOutput in the standard way, there should be no extra changes needed for SpamBlacklist integration.

awight added a comment.Oct 4 2018, 8:49 PM

As long as JADE is registering external links with ParserOutput in the standard way, there should be no extra changes needed for SpamBlacklist integration.

Thanks for these breadcrumbs, I'll write a test to see whether it works out of the box.

Change 464727 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/JADE@master] [WIP] Tests for SpamBlacklist integration

https://gerrit.wikimedia.org/r/464727

So far, it's looking like we'll need to mess with ParserOutput hooks. I don't understand what's involved yet, only that we're in an awkward position with snippets of wikitext inside JSON fields. Maybe we can parse each snippet, extract the links and external links, then add to a top-level ParserOutput object?

Normally this is done in Content::fillParserOutput(), which manipulates a ParserOutput object. I would assume that JADE is going to override that function whenever it implements a proper UI instead of relying on the JSON table output.

awight added a comment.Oct 8 2018, 5:34 AM

Normally this is done in Content::fillParserOutput(), which manipulates a ParserOutput object. I would assume that JADE is going to override that function whenever it implements a proper UI instead of relying on the JSON table output.

Thanks, it's helpful to have this confirmation! Let me invite you to the WIP patch where I'm trying to do this :-D
https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/JADE/+/464737/

btw, someone recently pleaded with me to stop using Mustache, but I wasn't able to follow up to learn more. Maybe you can comment in code review if there's something better I should know about? This doesn't seem like a good use for OOUI, if that's the only alternative…

awight claimed this task.Oct 9 2018, 10:39 PM
Harej moved this task from Feature Requests to Review on the Jade board.Oct 13 2018, 9:18 AM

Change 464727 merged by jenkins-bot:
[mediawiki/extensions/JADE@master] Tests to demonstrate SpamBlacklist integration

https://gerrit.wikimedia.org/r/464727

awight closed this task as Resolved.Oct 18 2018, 10:16 PM
awight moved this task from Review to Done on the Machine-Learning-Team (Active Tasks) board.